<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
$flag = 'AGH_{FLAGA}';
$site = filter_input(INPUT_GET, 'site');
if(!$site){
    $site='site';
}
$header = filter_input(INPUT_SERVER, 'HTTP_KYN');

if($header !== 'test'){
    echo "Nie masz tutaj wstępu...";
    exit;
}
?>
Witaj, masz tu parę linków :)<br />
<a href="?site=site1">Strona 1</a> | 
<a href="?site=site2">Strona 2</a> | 
<a href="?site=site3">Strona 3</a> | 
<a href="?site=site4">Strona 4</a> | 
<br />
<pre>
<?php
header("FLAG: {$flag}");
chdir('Hkuas7VKk7');

include_once "{$site}.txt";

echo "<pre>";
?>
</pre>